Subject: bug#32987: closed (Re: bug#32987: 27.0.50; `revert-buffer' fails in occur)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Oct 2018 14:52:03 +0000

Your bug report

#32987: 27.0.50; `revert-buffer' fails in occur

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32987: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32987
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32987: 27.0.50; `revert-buffer' fails in occur
From: Eli Zaretskii <[email-masked]>
To: Karl Otness <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 Oct 2018 17:50:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Karl Otness <[email-masked]>
> Date: Mon, 8 Oct 2018 12:01:36 +0100
> 
> I get an error when reverting occur buffers. Specifically:
> "apply: Wrong number of arguments: (3 . 4), 1"
> 
> Seems to be during apply of `occur-1'. Not sure what the correct call
> would look like, but I grabbed a quick backtrace.
> Here it is:
> Debugger entered--Lisp error: (wrong-number-of-arguments (3 . 4) 1)
>   occur-1("test.txt")
>   apply(occur-1 "test.txt")
>   occur-revert-function(t nil)
>   revert-buffer(t)
>   funcall-interactively(revert-buffer t)
>   call-interactively(revert-buffer nil nil)
>   command-execute(revert-buffer)
> 
> To reproduce with emacs -q:
> Fill a buffer with some text. M-x occur, and search for something,
> switch to the occur buffer then hit g to revert. Error message is
> printed.

Thanks, should be fixed now.

Subject: 27.0.50; `revert-buffer' fails in occur
From: Karl Otness <[email-masked]>
To: [email-masked]
Date: Mon, 8 Oct 2018 12:01:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I get an error when reverting occur buffers. Specifically:
"apply: Wrong number of arguments: (3 . 4), 1"

Seems to be during apply of `occur-1'. Not sure what the correct call
would look like, but I grabbed a quick backtrace.
Here it is:
Debugger entered--Lisp error: (wrong-number-of-arguments (3 . 4) 1)
  occur-1("test.txt")
  apply(occur-1 "test.txt")
  occur-revert-function(t nil)
  revert-buffer(t)
  funcall-interactively(revert-buffer t)
  call-interactively(revert-buffer nil nil)
  command-execute(revert-buffer)

To reproduce with emacs -q:
Fill a buffer with some text. M-x occur, and search for something,
switch to the occur buffer then hit g to revert. Error message is
printed.

I saw this error running occur on text-mode and org-mode buffers. This
is a build off of master "44bf4a6b" from a few days ago.

Thanks,
Karl